extends Area2D

export(String, FILE, "*.tscn") var next_level

func _ready():
	$Animation.play("Panic")

func _physics_process(delta):
	var bodies = get_overlapping_bodies()
	
	for body in bodies:
		if body.name == "Player":
			for ch in get_tree().get_root().get_children():
				if ch.name != "World":
					ch.queue_free()
			$Animation.play("End")
			get_tree().change_scene(next_level)