extends Area2D

export(String, FILE, "*.tscn") var next_level

var state
var yes

func _ready():
	state = false
	yes = false

func _physics_process(delta):
	$Yes.visible = state
	$Yes.disabled = !state
	$No.visible = state
	$No.disabled = !state
	$Label.visible = state
	
	var bodies = get_overlapping_bodies()
	
	for body in bodies:
		if body.name == "Player" and yes:
			for ch in get_tree().get_root().get_children():
				if ch.name != "World":
					ch.queue_free()
			get_tree().change_scene(next_level)

func _on_ExitToMenu_body_entered(body):
	if body.name == "Player":
		state = true

func _on_ExitToMenu_body_exited(body):
	if body.name == "Player":
		state = false

func _on_Yes_pressed():
	yes = true

func _on_No_pressed():
	yes = false
	state = false