extends Area2D

const corpse_scene = preload("res://AuxiliaryScenes/PlayerCorpse.tscn")

var is_impaled = false

func _ready():
	$Text.visible = false
	$Sprite.visible = true
	$Animation.visible = false

func _on_Player_impaled():
	$AnimatedSprite.visible = true
	$Text.visible = true
	$Sprite.visible = false
	$Animation.visible = true
	$Animation.play("Impaled")
	is_impaled = true

func _input_event(viewport, event, shape_idx):
	if event is InputEventMouseButton and is_impaled:
		if event.button_index == BUTTON_LEFT:
			var bodies = $Area.get_overlapping_bodies()
			for body in bodies:
				if body.get_name() == "Player":
					body.change_state()
					$AnimatedSprite.visible = false
					$Text.visible = false
					$Sprite.visible = true
					$Animation.visible = false
					var corpse = corpse_scene.instance()
					corpse.set_position(position - Vector2(0, 20))
					get_tree().get_root().add_child(corpse)
					is_impaled = false
					break